#
# spec file for package v3d-flow-builder
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           v3d-flow-builder
Version:        0~git20200909
Release:        pm151.1.2
Summary:        Calculates the optical flow between two images
License:        LGPL-3.0-or-later
URL:            https://github.com/slowmoVideo/v3d-flow-builder
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
%if 0%{?sle_version} >= 150200 || %{?suse_version} > 1500
BuildRequires:  pkgconfig(glut)
%else
BuildRequires:  pkgconfig(freeglut)
%endif
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(zlib)
Provides:       slowmoFlowBuilder = %{version}
Enhances:       slowmoVideo

%description
The V3D Flow Builder is a GPU based tool that calculates the optical flow
between two input images.

It can be used by slowmoVideo.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc src/README_V3D.txt
%{_bindir}/slowmoFlowBuilder

%changelog
* Tue Oct  6 2020 Luigi Baldoni <aloisio@gmx.com>
- Initial version (v0~git20200909)
